classification
Title: openssl build fails in win32 if .pl extension is not associated with Perl
Type: compile error Stage: resolved
Components: Build, Windows Versions: Python 3.4
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: Ivan.Pozdeev, larry, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2017-09-29 23:26 by Ivan.Pozdeev, last changed 2018-05-18 01:07 by Ivan.Pozdeev. This issue is now closed.

Files
File name Uploaded Description Edit
0001-Fix-openssl-failing-if-.pl-extension-is-not-associat.patch Ivan.Pozdeev, 2017-09-29 23:26 patch for 3.4
Messages (1)
msg303372 - (view) Author: Ivan Pozdeev (Ivan.Pozdeev) * Date: 2017-09-29 23:26
build_ssl.py:fix_makefile() removes "PERL=perl" line from externals\openssl-1.0.2j\ms\nt.mak .

This results in lots of calls like:

./util/copy-if-different.pl "<file1>" "<file2>"

(without the leading "perl")

Which opens the file in the program associates with the extension (Notepad by default) instead of executing it.

Since build_ssl.py:main():219 adds the found Perl into PATH, "PERL=perl" should be safe in all cases and there's no reason to omit it.
History
Date User Action Args
2018-05-18 01:07:52Ivan.Pozdeevsetstatus: open -> closed
resolution: wont fix
stage: resolved
2017-09-30 20:00:22zach.waresetnosy: + larry, paul.moore, tim.golden, zach.ware, steve.dower
components: + Windows
2017-09-29 23:27:09Ivan.Pozdeevsettype: compile error
2017-09-29 23:26:33Ivan.Pozdeevcreate